<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/test -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_579390d8ffdcec981a107f091315ddee.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>test &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in CapabilityAgents/Alerts/test</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_message_header_8h.html">AVSMessageHeader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_7d945fba5d7574c3838e625b40e73e04.html">Audio</a>&#160;/&#160;<a class="el" href="_mock_alerts_audio_factory_8h.html">MockAlertsAudioFactory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a>&#160;/&#160;<a class="el" href="dir_1135dc1123fe43c3ee136d2cf31a0c46.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_7bdff736f20bfd31c081269ae0dc0c4a.html">AVS</a>&#160;/&#160;<a class="el" href="dir_1977e7305461c7cf8192fd3f175ab4fc.html">Attachment</a>&#160;/&#160;<a class="el" href="_mock_attachment_manager_8h.html">MockAttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_a_v_s_connection_manager_8h.html">MockAVSConnectionManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_context_manager_8h.html">MockContextManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_result_8h.html">MockDirectiveHandlerResult.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_exception_encountered_sender_8h.html">MockExceptionEncounteredSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_focus_manager_8h.html">MockFocusManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_speaker_manager_8h.html">MockSpeakerManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_b7463c83c41dae53927c12ce5c5c2e58.html">SpeakerConstants</a>&#160;/&#160;<a class="el" href="_speaker_constants_8h.html">SpeakerConstants.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alert_scheduler_test_8cpp.html">AlertSchedulerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_b87968e904c49b1e151e63fd16be423f.html">Timing</a>&#160;/&#160;<a class="el" href="_time_utils_8h.html">TimeUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alert_test_8cpp.html">AlertTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_b87968e904c49b1e151e63fd16be423f.html">Timing</a>&#160;/&#160;<a class="el" href="_time_utils_8h.html">TimeUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e9067e74b528d8803cd4dd2d4e41042c.html">Renderer</a>&#160;/&#160;<a class="el" href="_renderer_test_8cpp.html">RendererTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a>&#160;/&#160;<a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a>&#160;/&#160;<a class="el" href="dir_45da8a61f44f26943639e729d0898294.html">MediaPlayer</a>&#160;/&#160;<a class="el" href="_mock_media_player_8h.html">MockMediaPlayer.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
